## id-broker-plugin 1.6.13

=== debian/changelog ===
id-broker-plugin (1.6.13) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 10:51:35 +0200

id-broker-plugin (1.6.12) unstable; urgency=medium

  * fix: use appcenter to restart kelvin
    Issue univention/dev/education/ucsschool-kelvin-rest-api#127

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 01 Sep 2025 13:49:08 +0200

id-broker-plugin (1.6.11) unstable; urgency=medium

  * tests: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 29 Jul 2025 17:01:13 +0200

id-broker-plugin (1.6.10) unstable; urgency=medium

  * tests: add missing python3-tenacity dependency

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 25 Jul 2025 23:27:29 +0200

id-broker-plugin (1.6.9) unstable; urgency=medium

  * chore: ucs 5.2 doesn't have a python symlink by default
    Issue: univention/dev/education/id-broker/keycloak-id-broker#7

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 02 Jul 2025 09:43:28 +0200

id-broker-plugin (1.6.8) unstable; urgency=medium

  * tests: Alternative playwright test dependency for ucs 5.2
    Issue: univention/dev/education/id-broker/keycloak-id-broker#7

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 01 Jul 2025 09:36:58 +0200

id-broker-plugin (1.6.7) unstable; urgency=low

  * feat: enable evaluation of environment variables for HTTP proxies
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#130
    Bug #58401

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 25 Jun 2025 14:11:54 +0200

id-broker-plugin (1.6.6) unstable; urgency=medium

  * tests: fix broken tests
    Issue: univention/dev/education/id-broker/keycloak-id-broker#1

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 23 Apr 2025 11:00:21 +0200

id-broker-plugin (1.6.5) unstable; urgency=medium

  * add: script to create ID Broker clients in Keycloak
    Issue: univention/id-broker/keycloak#3

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 05 Feb 2025 10:55:36 +0100

id-broker-plugin (1.6.4) unstable; urgency=medium

  * univention/components/ucsschool-api-plugins/id-broker-plugin#124
    Add leeway to token validity check

 -- Ole Schwiegert <schwiegert@univention.de>  Tue, 04 Feb 2025 09:37:00 +0100

id-broker-plugin (1.6.3) unstable; urgency=medium

  * univention/components/ucsschool-api-plugins/id-broker-plugin#123
    Pin pyjwt version to 2.8.0

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 20 Nov 2024 13:57:37 +0100

id-broker-plugin (1.6.2) unstable; urgency=medium

  * univention/dev-issues/dev-incidents#77
    Added: The verify.py script can now fix broken ID Broker objects.

 -- Ole Schwiegert <schwiegert@univention.de>  Fri, 15 Nov 2024 15:43:43 +0100

id-broker-plugin (1.6.1) unstable; urgency=medium

  * univention/dev-issues/dev-incidents#66
    Handle sync conflicts

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 27 Aug 2024 14:29:17 +0200

id-broker-plugin (1.5.0) unstable; urgency=medium

  * univention/dev-issues/dev-incidents#37
    Add flag to rerun addservice command

 -- Ole Schwiegert <schwiegert@univention.de>  Mon, 24 Jun 2024 15:58:00 +0200

id-broker-plugin (1.4.1) unstable; urgency=medium

  * Issue univention/components/ucsschool-id-connector#52
    Support ucsschool-id-connector 3

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 10 Jun 2024 23:40:55 +0200

id-broker-plugin (1.3.18) unstable; urgency=medium

  * Issue #109: print output

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 04 Mar 2024 21:53:45 +0100

id-broker-plugin (1.3.17) unstable; urgency=medium

  * Issue #109: improve test stability

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 04 Mar 2024 15:45:26 +0100

id-broker-plugin (1.3.16) unstable; urgency=medium

  * Issue #109: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 01 Mar 2024 14:44:52 +0100

id-broker-plugin (1.3.15) unstable; urgency=medium

  * Issue #109: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 19:49:52 +0100

id-broker-plugin (1.3.14) unstable; urgency=medium

  * Issue #111: Add support for wild cards in school list

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 17:42:47 +0100

id-broker-plugin (1.3.13) unstable; urgency=medium

  * Issue #117: add host to token cache key

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 12:33:54 +0100

id-broker-plugin (1.3.12) unstable; urgency=medium

  * Issue #109: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 10:25:20 +0100

id-broker-plugin (1.3.11) unstable; urgency=medium

  * Issue #117: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 28 Feb 2024 21:44:18 +0100

id-broker-plugin (1.3.10) unstable; urgency=medium

  * Issue #117: fix cache for tokens in client and tests

 -- Tobias Wenzel <wenzel@univention.de>  Tue, 27 Feb 2024 14:33:17 +0100

id-broker-plugin (1.3.9) unstable; urgency=medium

  * Issue #117: improve tests

 -- Tobias Wenzel <wenzel@univention.de>  Tue, 27 Feb 2024 11:07:03 +0100

id-broker-plugin (1.3.8) unstable; urgency=medium

  * Issue #117: multiple config tests

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 26 Feb 2024 15:32:06 +0100

id-broker-plugin (1.3.7) unstable; urgency=medium

  * Issue #109: fix fixture in integration tests

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 26 Feb 2024 10:13:09 +0100

id-broker-plugin (1.3.6) unstable; urgency=medium

  * Issue #109: stabilize setup integration tests

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 26 Feb 2024 08:37:39 +0100

id-broker-plugin (1.3.5) unstable; urgency=medium

  * Issue #109: Fix and stabilize plugin and tests

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 23 Feb 2024 18:19:01 +0100

id-broker-plugin (1.3.4) unstable; urgency=medium

  * Issue #109: Fix and stabilize plugin and tests


