## id-broker-plugin 1.6.14

=== debian/changelog ===
id-broker-plugin (1.6.14) unstable; urgency=medium

  * fix: Remove "profile" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 22 Oct 2025 12:52:40 +0200
