## id-broker-plugin 2.2.0

=== performance-tests/requirements.txt ===
Faker>=13.0.0
PyJWT>=2.1.0
diskcache==5.4.0
gevent==21.12.0
locust==2.8.4
pydantic==1.9.0
Authlib==1.0.0
tenacity>=8.2.2
