=== debian/changelog ===
id-broker-plugin (2.2.0) unstable; urgency=medium

  * feat: Add Legal Guardian support for ID-Broker plugin and provisioning API
    client
    Issue: univention/dev/education/ucsschool-api-plugins/id-broker-plugin#132

 -- Johannes Königer <koeniger@univention.de>  Tue, 23 Sep 2025 16:00:02 +0200

id-broker-plugin (2.1.0) unstable; urgency=medium

  * feat: Add Legal Guardian support to Provisioning API
    Issue: univention/dev/education/ucsschool-api-plugins/id-broker-plugin#133

 -- Silas Wieberneit <silas.wieberneit.extern@univention.de>  Tue, 23 Sep 2025 14:59:02 +0200

id-broker-plugin (2.0.0) unstable; urgency=medium

  * chore: increase version so the build system can work with 5.0 and 5.2
    Issue: univention/dev/education/ucsschool-api-plugins/id-broker-plugin#135

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 03 Sep 2025 16:33:14 +0200
