=== debian/control ===
Source: id-broker-plugin
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends: debhelper (>= 9),
 ca-certificates,
 wget,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 ucslint,
Standards-Version: 3.8.2

Package: id-broker-joinscript-lib
Architecture: all
Depends: ${misc:Depends}
Replaces: id-broker-common (<< 1.2.1)
Breaks: id-broker-common (<< 1.2.1)
Description: This package contains join script shell code used by the other id-broker-* packages.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-common
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 id-broker-joinscript-lib (= ${source:Version}),
Description: This package contains code used by the other id-broker-* packages.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-test-id-broker-common
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-common (= ${source:Version}),
 ucs-test-ucsschool,
 chromium,
 python3-playwright-venv | python3-pytest-playwright,
 python3-tenacity,
Provides:
 ucs-test-module,
Description: This package contains tests for the id-broker-common package.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-ldap-schema
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-joinscript-lib (= ${source:Version}),
Description: This package provides LDAP schema, LDAP ACLs and extended attributes for the ID Broker domain.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-primary
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-ldap-schema (= ${source:Version}),
 id-broker-joinscript-lib (= ${source:Version}),
Description: This package provides the Provisioning API plugin for the Univention UCS@school APIs app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-provisioning-api-plugin
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-common (= ${source:Version}),
 id-broker-joinscript-lib (= ${source:Version}),
 id-broker-ldap-schema (= ${source:Version}),
Description: This package provides the Provisioning API plugin for the Univention UCS@school APIs app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-self-disclosure-api-plugin
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-common (= ${source:Version}),
 id-broker-joinscript-lib (= ${source:Version}),
 id-broker-ldap-schema (= ${source:Version}),
Description: This package provides the Self-Disclosure API plugin for the Univention UCS@school APIs app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-id-connector-plugin
Architecture: all
Depends:
 ${misc:Depends},
 jq,
Description: This package provides the ID Connector plugin for the UCS@school ID Connector app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-performance-tests
Architecture: all
Depends:
 ${misc:Depends},
 python3-venv,
Description: This package provides Locust files and data for running performance tests.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-test-id-broker-performance
Architecture: all
Depends:
 python3-pytest,
 python3-tenacity,
 id-broker-performance-tests (= ${source:Version}),
 ucs-test-framework (>= 9.0.7-59),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Ucs-test modules that execute the Locust files from package id-broker-performance-tests.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/
