## id-broker-plugin 2.2.1

=== debian/changelog ===
id-broker-plugin (2.2.1) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 10:51:35 +0200
