=== debian/changelog ===
id-broker-plugin (2.3.0) unstable; urgency=medium

  * feat: Add Add Legal Guardian support for self disclosure API
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#134

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 11:16:01 +0200

id-broker-plugin (2.2.3) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 10:51:35 +0200
