=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2021-2023 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3

override_dh_auto_test:
	ucslint
	dh_auto_test

override_dh_auto_build:
	wget -c https://repo1.maven.org/maven2/org/openapitools/openapi-generator-cli/5.4.0/openapi-generator-cli-5.4.0.jar
	py3clean .
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f openapi-generator-cli-5.4.0.jar
	find -name __pycache__ -exec rm -rf '{}' +
	find -name '*.egg-info' -exec rm -rf '{}' +

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism --exclude=openapi-generator-cli-5.4.0.jar
