## id-broker-plugin 2.3.1

=== debian/changelog ===
id-broker-plugin (2.3.1) unstable; urgency=medium

  * fix(self-disclosure-api): Add fallback value for legal_guardians attribute
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#138

 -- Johannes Königer <koeniger@univention.de>  Wed, 19 Nov 2025 13:56:01 +0200
