## id-broker-plugin 2.3.2

=== debian/changelog ===
id-broker-plugin (2.3.2) unstable; urgency=medium

  * test(id-connector): Fix test user creation (IDBrokerUserObject)
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#140

 -- Johannes Königer <koeniger@univention.de>  Wed, 28 Nov 2025 07:31:01 +0200
